These are chat archives for CZ-NIC/knot-resolver

17th
Feb 2017
Michal Cichra
@mikz
Feb 17 2017 07:47
Morning. Any recommendation how to use knot-resolver on CentOS/RHEL ? I can see just Fedora packages. Checked EPEL, but it is not there either.
Vladimír Čunát
@vcunat
Feb 17 2017 09:40
There might be even some basic dependencies missing or not in high enough version, e.g. we require libknot >= 2.3.1 and libuv >= 1.0.
I don't know if there's a better way than to build from source, unless you already use e.g. https://nixos.org/nix
Michal Cichra
@mikz
Feb 17 2017 09:58
vcunat: yeah, some are not there at all like lua-sec-compat. I guess there is no plan to build also for CentOS right?
Vladimír Čunát
@vcunat
Feb 17 2017 10:01
No lua libraries are required for basic function, except for luajit itself.
There are no such plans at this moment.
(And I know little about CentOS/RHEL myself.)